Bug 1685526 - [RFE] - Subscriptions added in an activation key should not be auto-attached to any other hosts (which are not registered with that activation key)
Summary: [RFE] - Subscriptions added in an activation key should not be auto-attached ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 12:14 UTC by Diksha Chaudhari
Modified: 2019-08-12 19:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 19:06:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Diksha Chaudhari 2019-03-05 12:14:43 UTC
1. Proposed title of this feature request
  - Satellite subscriptions reservation in activation keys 
  - Subscriptions added in an activation key should not be auto-attached to any other hosts (which are not registered with that activation key)

2. What is the nature and description of the request?
  Subscriptions which are added in an activation key get automatically attached to the hosts which are not registered with that activation key. The host might be unsubscribed after the registration, but after the next auto-attach run, the Satellite picks a free subscription from the pool and assigns it to the host with invalid subscription state.

Later you have to find back the hosts that “steal” the subscriptions, replace the subscription with another one and then correct the state of the new host. If a subscription is assigned to an activation key, it should be reserved for the systems subscribed with that key only and exclude them from auto-attach for all other systems.

3. Why does the customer need this? (List the business requirements here)
  Manual intervention required to remove and re-attach subscriptions. 

4. How would the customer like to achieve this? (List the functional requirements here)
  If there is a subscription assigned to an activation key, then it should be reserved them for (systems subscribed with) that key and exclude them from auto-attach for all other systems. (if you want to keep the current default behavior, this could be done with an additional “reserved subscriptions” checkbox in the key)

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
  Systems registered without an activation key should not auto attach to subscriptions tied to an activation key or should be marked as a reserved subscription.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
  Not that I could find.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
  ASAP 

9. Is the sales team involved in this request and do they have any additional input?
  Yes

10. List any affected packages or components.
  N/A

11. Would the customer be able to assist in testing this functionality if implemented?
  Yes

Comment 4 Bryan Kearney 2019-03-07 19:06:31 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.